Bug 30806 - Use patron-title.inc in member-flags template
Summary: Use patron-title.inc in member-flags template
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks: 30617
  Show dependency treegraph
 
Reported: 2022-05-19 11:33 UTC by Martin Renvoize
Modified: 2022-06-08 14:50 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
This enhancement updates the template for the patron set permissions page (members/member-flags.pl) to use the patron-title.inc include wherever patron names are referenced. This is used to format patron name names consistently, rather than a custom format each time the patron name is referenced. The patron name is now displayed as "Set permissions for firstname lastname (patron card number), instead of "Set permissions for lastname, firstname".
Version(s) released in:
22.11.00


Attachments
Bug 30806: Migrate to patron-title in member-flags (2.26 KB, patch)
2022-05-19 11:38 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 30806: Migrate to patron-title in member-flags (2.31 KB, patch)
2022-05-23 18:05 UTC, David Nind
Details | Diff | Splinter Review
Bug 30806: Migrate to patron-title in member-flags (2.38 KB, patch)
2022-05-31 07:24 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2022-05-19 11:33:43 UTC
We should use the patron-title include everwhere we display a patron title instead of templates mixing up formats.
Comment 1 Martin Renvoize 2022-05-19 11:38:36 UTC
Created attachment 135200 [details] [review]
Bug 30806: Migrate to patron-title in member-flags

This patch updates the member-flags template to use the patron-title.inc
include wherever patron names are referenced.

Test plan
1) Navigate to a patron and click through to edit their permissions
2) Note how the patron name displays in the title, breadcrump and
   headings
3) Apply the patch and reload the page
4) Confirm the patron name still appears in each location and is
   consistently formatted and linked as you would expect
Comment 2 David Nind 2022-05-23 18:05:17 UTC
Created attachment 135284 [details] [review]
Bug 30806: Migrate to patron-title in member-flags

This patch updates the member-flags template to use the patron-title.inc
include wherever patron names are referenced.

Test plan
1) Navigate to a patron and click through to edit their permissions
2) Note how the patron name displays in the title, breadcrump and
   headings
3) Apply the patch and reload the page
4) Confirm the patron name still appears in each location and is
   consistently formatted and linked as you would expect

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Jonathan Druart 2022-05-31 07:24:28 UTC
Created attachment 135469 [details] [review]
Bug 30806: Migrate to patron-title in member-flags

This patch updates the member-flags template to use the patron-title.inc
include wherever patron names are referenced.

Test plan
1) Navigate to a patron and click through to edit their permissions
2) Note how the patron name displays in the title, breadcrump and
   headings
3) Apply the patch and reload the page
4) Confirm the patron name still appears in each location and is
   consistently formatted and linked as you would expect

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Tomás Cohen Arazi 2022-06-08 14:50:53 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!